[Overview][Constants][Types][Classes][Index] | Reference for unit 'syncobjs' (#fcl)

# TSynchroObject.Release

Release previously acquired synchronization resource

## Declaration

Source position: syncobjs.pp line 39

`procedure TSynchroObject.Release; virtual;`

## Description

Release does nothing in TSynchroObject. Descendent classes must override this method to release the resource they acquired through the Acquire call.

## See also

Acquire |  | Acquire synchronization resource